import {SimpleState} from "../../../../src/app/project/gamemodel/gamesystems/states/SimpleState";
import {SimpleTransition} from "../../../../src/app/project/gamemodel/gamesystems/transitions/SimpleTransition";
import {ScriptAccount} from "../../../../src/app/project/gamemodel/scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../../../../src/app/project/gamemodel/gamesystems/conditions/ScriptAccountCondition";
export class TransitionConditionTrainer {
  static withTransitionWithoutConditions() {
    const startingState = new SimpleState("StartingState", "");
    const endingState = new SimpleState("EndingState", "");

    return new SimpleTransition(startingState, endingState);
  }

  static withTransitionWithCondition() {
    const startingState = new SimpleState("StartingState", "");
    const endingState = new SimpleState("EndingState", "");

    const transition = new SimpleTransition(startingState, endingState);

    const scriptAccount = new ScriptAccount("ScriptAccount", "");
    transition.scriptAccountConditions.push(ScriptAccountCondition.constructScriptAccountCondition(scriptAccount, 0, 10)!)

    return transition;
  }
}
